<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>字典管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		var validateForm;
		function doSubmit(){//回调函数，在编辑和保存动作时，供openDialog调用提交表单。
		  if(validateForm.form()){
			  $("#inputForm").submit();
			  return true;
		  }
	
		  return false;
		}
		$(document).ready(function() {
			$("#value").focus();
			 validateForm = $("#inputForm").validate({
				submitHandler: function(form){
					loading('正在提交，请稍等...');
					form.submit();
				},
				errorContainer: "#messageBox",
				errorPlacement: function(error, element) {
					$("#messageBox").text("输入有误，请先更正。");
					if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
						error.appendTo(element.parent().parent());
					} else {
						error.insertAfter(element);
					}
				}
			});
		});
	</script>
</head>
<body>
<div class="single-form">
	<div class="container view-form">
	<form:form id="inputForm" modelAttribute="dict" action="${ctx}/sys/dict/save" method="post" class="form-horizontal">
		<form:hidden path="id"/>
		<sys:message content="${message}"/>
		<div class="form-group layui-row first">
			<div class="form-group-label"><h2>字典信息</h2></div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">键值：</label>
				<div class="layui-input-block">
					<form:input path="value" readonly="true" htmlEscape="false" maxlength="50" class="form-control layui-input required"/>
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">标签：</label>
				<div class="layui-input-block">
					<form:input path="label" readonly="true" htmlEscape="false" maxlength="50" class="form-control layui-input required"/>
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">类型：</label>
				<div class="layui-input-block">
					<form:input path="type" readonly="true" htmlEscape="false" maxlength="50" class="form-control layui-input required abc"/>
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">描述：</label>
				<div class="layui-input-block">
					<form:input path="description" readonly="true" htmlEscape="false" maxlength="50" class="form-control layui-input required"/>
				</div>
			</div>
			<div class="layui-item layui-col-sm12">
				<label class="layui-form-label">排序：</label>
				<div class="layui-input-block">
					<form:input path="sort" readonly="true" htmlEscape="false" maxlength="11" class="form-control required layui-input digits"/>
				</div>
			</div>
			<div class="layui-item layui-col-sm12 with-textarea">
				<label class="layui-form-label">备注：</label>
				<div class="layui-input-block">
					<form:textarea path="remarks" readonly="true" htmlEscape="false" rows="4" maxlength="200" class="form-control "/>
				</div>
			</div>
		</div>
	</form:form>
	</div>
</div>
</body>
</html>